	TITLE	'floppy disk parameter headers'
        NAME    'DPH'
; Floppy disk parameter headers, parameter blocks and
; other miscellaneous drive configuration data.

	MACLIB	CPM3

; Disk drive dispatching tables
	PUBLIC	FDSK0,FDSK1,FDSK2,FDSK3


; Routines in FLOPPY referenced by FDPH
	EXTRN	FINIT,FLOGIN,FREAD,FWRITE

; Extended disk parameter headers
CSUM	EQU	(127/4)+1	; MEMORY TO ALLOC FOR CSUM VECTOR
				; =(DRM/4)+1
ALLOC	EQU	(799/4)+2	; MEMORY TO ALLOC FOR ALLOC VECTOR
				; =(DSM/4)+2 for double allocation
; floppy drive 0
	DW	FWRITE
	DW	FREAD
	DW	FLOGIN
	DW	FINIT
	DB	0,0                                         
FDSK0:	DPH	SKW0,DPBL0,CSUM,ALLOC

; floppy drive 1
	DW	FWRITE
	DW	FREAD
	DW	FLOGIN
	DW	FINIT
	DB	1,0                                         
FDSK1:	DPH	SKW1,DPBL1,CSUM,ALLOC

; floppy drive 2
	DW	FWRITE
	DW	FREAD
	DW	FLOGIN
	DW	FINIT
	DB	2,0                                         
FDSK2:	DPH	SKW2,DPBL2,CSUM,ALLOC

; floppy drive 3
	DW	FWRITE
	DW	FREAD
	DW	FLOGIN
	DW	FINIT
	DB	3,0                                         
FDSK3:	DPH	SKW3,DPBL3,CSUM,ALLOC


	DSEG	; this puts the tables in a fixed location in cpm3.sys
		; so CONFIG can find them (needs B option on LINK)

; skew tables are 20 bytes long to handle double sided discs
; all discs are initialy set to Xtal DOS format

DPBL0:	DB 40,0,4,15,0,1,1,3FH,0,080H,0,10H,0,2,0,2,3
SKW0:	SKEW 20,1,0

DPBL1:	DB 40,0,4,15,0,1,1,3FH,0,080H,0,10H,0,2,0,2,3
SKW1:	SKEW 20,1,0

DPBL2:	DB 40,0,4,15,0,1,1,3FH,0,080H,0,10H,0,2,0,2,3
SKW2:	SKEW 20,1,0

DPBL3:	DB 40,0,4,15,0,1,1,3FH,0,080H,0,10H,0,2,0,2,3
SKW3:	SKEW 20,1,0

        END
,0,10H,0,2,0,2,3
SKW2:	SKEW 20,1,0

DPBL3:	DB 40,0,4,15,0,1,1,3FH,0,080H,0,10H,0,2,0,2,3
SKW3:	SKEW 20,1,0